You need to install the python-xml package.


Steve Wedig wrote:

I'm having an install problem for Zope 3.2.0, and I would appreciate
any help you can offer!

I'm running FreeBSD 6 and I had Z3 installed. Everything was wonderful :)

My friend recompiled most of the system, and this apparently involved
an update to most of ports, including sax, and python. At this point
Zope no longer would start up due to this error:

ImportError: /usr/local/lib/python2.4/site-packages/_xmlplus/parsers/
Undefined symbol "PyUnicodeUCS4_Decode"

I figured it was due to the new Python, so I reinstalled Python 2.4.2
from That didn't fix the problem, so I decided to
reinstall Zope 3.2.0.

./configure works, however when I call make, I get this error:
<several traceback lines>
File "/usr/local/lib/python2.4/site-packages/_xmlplus/sax/",
line 75, in make_parser
    sys.modules[parser_name].create_parser = _create_parser
KeyError: 'xml.sax.drivers2.drv_pyexpat'
*** Error code 1

Basically, I'm not sure how to proceed :-/ Although it may be silly, I
tried to comment out the offending line in, but that causes

So does anyone know about this?

Thanks for you time,

Zope3-users mailing list

Reply via email to